"""001_service

Revision ID: 63d56ad6e337
Revises: 
Create Date: 2023-04-29 10:32:02.899418

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '63d56ad6e337'
down_revision = None
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('service',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(), nullable=False),
    sa.Column('path', sa.String(), nullable=False),
    sa.Column('response_time_ms', sa.BigInteger(), nullable=False),
    sa.PrimaryKeyConstraint('id', name=op.f('pk_service'))
    )
    op.create_index(op.f('ix_service_id'), 'service', ['id'], unique=False)
    op.create_index(op.f('ix_service_name'), 'service', ['name'], unique=False)
    op.create_index(op.f('ix_service_path'), 'service', ['path'], unique=False)
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f('ix_service_path'), table_name='service')
    op.drop_index(op.f('ix_service_name'), table_name='service')
    op.drop_index(op.f('ix_service_id'), table_name='service')
    op.drop_table('service')
    # ### end Alembic commands ###
